org.eclipse.cdt.core.dom.ast.c

## Interface ICQualifierType

All Superinterfaces:
  Cloneable, IQualifierType, IType

    public interface ICQualifierType
    extends IQualifierType

Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

### Field Summary

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IType

`EMPTY_TYPE_ARRAY, TYPE_MATCHER`

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `isRestrict()` is this a restrict type

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IQualifierType

`getType, isConst, isVolatile`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IType

`clone, isSameType`

### Method Detail

#### isRestrict

    boolean isRestrict()

is this a restrict type